Loading...
Searching...
No Matches
DenseData Struct Reference

`#include <nanovdb/examples/benchmark/DenseGrid.h>`

Inheritance diagram for DenseData:

## Public Member Functions

__hostdev__ Coord | dim () const
template<typename Vec3T>
__hostdev__ Vec3T | applyMap (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyInverseMap (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyJacobian (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyInverseJacobian (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyIJT (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyMapF (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyInverseMapF (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyJacobianF (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyInverseJacobianF (const Vec3T &xyz) const
template<typename Vec3T>
__hostdev__ Vec3T | applyIJTF (const Vec3T &xyz) const

## Public Attributes

Map | mMap
CoordBBox | mIndexBBox
BBox< Vec3R > | mWorldBBox
Vec3R | mVoxelSize
GridClass | mGridClass
GridType | mGridType
uint64_t | mY
uint64_t | mX
uint64_t | mSize

## Member Function Documentation

## applyIJT()

template<typename Vec3T>

__hostdev__ Vec3T applyIJT | ( | const Vec3T & | xyz | ) | const

inline

## applyIJTF()

template<typename Vec3T>

__hostdev__ Vec3T applyIJTF | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseJacobian()

template<typename Vec3T>

__hostdev__ Vec3T applyInverseJacobian | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseJacobianF()

template<typename Vec3T>

__hostdev__ Vec3T applyInverseJacobianF | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseMap()

template<typename Vec3T>

__hostdev__ Vec3T applyInverseMap | ( | const Vec3T & | xyz | ) | const

inline

## applyInverseMapF()

template<typename Vec3T>

__hostdev__ Vec3T applyInverseMapF | ( | const Vec3T & | xyz | ) | const

inline

## applyJacobian()

template<typename Vec3T>

__hostdev__ Vec3T applyJacobian | ( | const Vec3T & | xyz | ) | const

inline

## applyJacobianF()

template<typename Vec3T>

__hostdev__ Vec3T applyJacobianF | ( | const Vec3T & | xyz | ) | const

inline

## applyMap()

template<typename Vec3T>

__hostdev__ Vec3T applyMap | ( | const Vec3T & | xyz | ) | const

inline

## applyMapF()

template<typename Vec3T>

__hostdev__ Vec3T applyMapF | ( | const Vec3T & | xyz | ) | const

inline

## dim()

__hostdev__ Coord dim | ( |  | ) | const

inline

## Member Data Documentation

## mGridClass

GridClass mGridClass

## mGridType

GridType mGridType

## mIndexBBox

CoordBBox mIndexBBox

## mMap

Map mMap

## mSize

uint64_t mSize

## mVoxelSize

Vec3R mVoxelSize

## mWorldBBox

BBox<Vec3R> mWorldBBox

## mX

uint64_t mX

## mY

uint64_t mY